(defun nest_fittings ( / fred3 fred4 john )
  (setq DCL_ID_F (load_dialog "sln_piping.dcl")) ;load the DCL file
  (if (not (new_dialog "nest_fittings" DCL_ID_F)) ;initialize the DCL file
    (exit) ;exit if this doesn't work
   ) ;end if
	(SET_MAIN_IMAGE)
	(set_tile "s1" "1")
	(L1_ON)
	(L1_CLEAR)
	(L5_OFF)
	(L5_CLEAR)
	(RESET_LABELS)
	(RESET_DIMS)
	(RESET_LIST)
;
;----------------------------------------------DEFUN STATEMENTS----------------------------------------------------------------; 
;------------------------------------------------------------------------------------------------------------------------------; 
;------------------------------------------------------------------------------------------------------------------------------; 
(defun FRED3ET ()
		(setq fred3 "et_")
) ; ednd of fred3
;-----------------------------------------------------------------------;
(defun FRED3RT ()
		(setq fred3 "rt_")
) ; ednd of fred3
;-----------------------------------------------------------------------;
(defun FRED3CR ()
		(setq fred3 "cr_")
) ; ednd of fred3
;-----------------------------------------------------------------------;
(defun FRED3ER ()
		(setq fred3 "er_")
) ; ednd of fred3
;-----------------------------------------------------------------------;
(defun FRED3EC ()
		(setq fred3 "ec_")
) ; ednd of fred3
;-----------------------------------------------------------------------;
(defun FRED4_5 ()
		(setq fred4 "sch_5_")
) ; end of fred4_5
;-----------------------------------------------------------------------;
(defun FRED4_10 ()
		(setq fred4 "sch_10_")
) ; ednd of fred4_10
;-----------------------------------------------------------------------;
(defun FRED4_20 ()
		(setq fred4 "sch_20_")
) ; ednd of fred4_20
;-----------------------------------------------------------------------;
(defun FRED4_30 ()
		(setq fred4 "sch_30_")
) ; ednd of fred4_30
;-----------------------------------------------------------------------;
(defun FRED4_40 ()
		(setq fred4 "sch_40_")
) ; ednd of fred4_40
;-----------------------------------------------------------------------;
(defun FRED4_60 ()
		(setq fred4 "sch_60_")
) ; ednd of fred4_60
;-----------------------------------------------------------------------;
(defun FRED4_80 ()
		(setq fred4 "sch_80_")
) ; ednd of fred4_80
;-----------------------------------------------------------------------;
(defun FRED4_100 ()
		(setq fred4 "sch_100_")
) ; ednd of fred4_100
;-----------------------------------------------------------------------;
(defun FRED4_120 ()
		(setq fred4 "sch_120_")
) ; ednd of fred4_120
;-----------------------------------------------------------------------;
(defun CHECK_SELECTIONS_F ()
;
;(setq
;    DEF_SIZE SIZE
;    DEF_DISPLAY_LIST DISPLAY_LIST
;    DEF_INDEX INDEX
;  ) ;end setq
;
	(cond
		((/= fred3 NIL)
		(setq john fred3)
		)
		((/= ftg NIL)
		(setq john ftg)
		)
	)
;	
	(cond 
		((/= john NIL)
			(setq ftg john)
			(done_dialog)
		)
		(t (alert "OOPS! *new dialog* SELECT FITTING TYPE - TRY AGAIN!")) 	
	);end of cond
; 	
	(cond 
		((and 
			(/= ftg NIL)(/= fred4 NIL));end of AND
			(setq sch fred4)
			(done_dialog)
		)
		(t (alert "OOPS! *new dialog* SELECT SCHEDULE - TRY AGAIN!")) 	
	);end of cond
;
	(cond 
		((and (/= ftg NIL)(/= fred4 NIL)(/= SIZE NIL));end of AND
			(done_dialog)
		)
		(t (alert "OOPS! *new dialog* SELECT A FITTING SIZE - TRY AGAIN!"))
	);end of cond
;

) ;end CHECK_SELECTIONS
;----------------------------------------------ACTION TILE STATEMENTS----------------------------------------------------------; 
;------------------------------------------------------------------------------------------------------------------------------; 
;------------------------------------------------------------------------------------------------------------------------------; 
	(action_tile "get_size"
    (strcat
      "(setq index (atoi $value))"
      "(setq size (strcase (nth index display_list)))"
      "(DATA_LIST)" "(SET_DIM)"
    ) ;_ end of strcat
  ) ;_ end of action_tile
;-----------------------------------------------------------------------; 
	(action_tile "rb1"				 							;toggle ELB90 option
		"(L5_FITTINGS_ON)(SET_WLRE90_IMAGE)(RB1_FLAG)(NEST1)"
	); END ACTION TILE
;-----------------------------------------------------------------------;
	(action_tile "rb2"				 							;toggle ELB45 option
		"(L5_FITTINGS_ON)(SET_WLRE45_IMAGE)(RB2_FLAG)(NEST2)"
	); END ACTION TILE
;-----------------------------------------------------------------------;
	(action_tile "rb3"				 							;toggle ET option
		"(L5_FITTINGS_ON)(RB3_FLAG)(SET_ETEE_IMAGE)(fred3et)"	;this not allowed>(setq fred3 "et_")"
	); END ACTION TILE
;-----------------------------------------------------------------------;
	(action_tile "rb4"				 							;toggle RT option
		"(L5_FITTINGS_ON)(RB4_FLAG)(SET_RTEE_IMAGE)(fred3rt)"
	); END ACTION TILE
;-----------------------------------------------------------------------;
	(action_tile "rb5"				 							;toggle CR option
		"(L5_FITTINGS_ON)(RB5_FLAG)(SET_CRED_IMAGE)(fred3cr)"		;
	); END ACTION TILE
;-----------------------------------------------------------------------;
	(action_tile "rb6"				 							;toggle ER option
		"(L5_FITTINGS_ON)(RB6_FLAG)(SET_ERED_IMAGE)(fred3er)"		;
	); END ACTION TILE
;-----------------------------------------------------------------------;
	(action_tile "rb7"				 							;toggle EC option
		"(L5_FITTINGS_ON)(RB7_FLAG)(SET_EC_IMAGE)(fred3ec)"			;
	); END ACTION TILE
;-----------------------------------------------------------------------;
	(action_tile "tb24" 										;toggle Imperial Scale
; add " before (cond
	"(cond 
		((= fred1 \"sre90_\")(progn	(TB24_FLAG)(EL90SCA_TO_IMP))
									
		)
		((= fred1 \"lre90_\")(progn	(TB24_FLAG)(EL90SCA_TO_IMP))
									   
		)
		((= fred1 \"3de90_\")(progn	(TB24_FLAG)(EL90SCA_TO_IMP))
									  
		)
		((= fred1 \"5de90_\")(progn	(TB24_FLAG)(EL90SCA_TO_IMP))
									 
		)
		((= fred2 \"sre45_\")(progn (TB24_FLAG)(EL45SCA_TO_IMP))
									 
		)
		((= fred2 \"lre45_\")(progn	(TB24_FLAG)(EL45SCA_TO_IMP))
									  
		)
		((= fred2 \"3de45_\")(progn	(TB24_FLAG)(EL45SCA_TO_IMP))
									 
		)
		((= fred2 \"5de45_\")(progn	(TB24_FLAG)(EL45SCA_TO_IMP))
									 
		)
		((= ftg \"et_\")(progn	 (TB24_FLAG)(ETSCA_TO_IMP))
		)
		((= ftg \"rt_\")(progn	 (TB24_FLAG)(RTSCA_TO_IMP))
									 
		)
		((= ftg \"cr_\")(progn	 (TB24_FLAG)(CRSCA_TO_IMP))
									  
		)
		((= ftg \"er_\")(progn	 (TB24_FLAG)(ERSCA_TO_IMP))
									  
		)
		((= ftg \"ec_\")(progn	 (TB24_FLAG)(ECSCA_TO_IMP))
		)
		(t (progn (setq newtile $key)(TB24_FLAG)(MAINSCA_TO_IMP))
		)
	)"
	); END ACTION TILE
;-----------------------------------------------------------------------;													 
;COMMENTS CAN NOT BE ADDED TO CODE FOR RB41 TO RB 49 INC
;-----------------------------------------------------------------------;
	(action_tile "rb41"				 							;toggle SCH5 option
		(strcat
      "(setq newtile $key)"	
		"(RB41_FLAG)(F_NAME)(READ_DIM_FILE)(FRED4_5)"
		); end strcat
	); END ACTION TILE
;-----------------------------------------------------------------------;
 	(action_tile "rb42"				 							;toggle SCH10 option
		(strcat
      "(setq newtile $key)"	
	  "(RB42_FLAG)(F_NAME)(READ_DIM_FILE)(FRED4_10)"
		); end strcat
	); END ACTION TILE
;-----------------------------------------------------------------------;
  	(action_tile "rb43"				 							;toggle SCH20 option
		(strcat
      "(setq newtile $key)"		
		"(RB43_FLAG)(F_NAME)(READ_DIM_FILE)(FRED4_20)"
		); end strcat
	); END ACTION TILE
;-----------------------------------------------------------------------;
 	(action_tile "rb44"				 							;toggle SCH30 option
		(strcat
      "(setq newtile $key)"	
	  "(RB44_FLAG)(F_NAME)(READ_DIM_FILE)(FRED4_30)"
		); end strcat
	); END ACTION TILE
;-----------------------------------------------------------------------;
  	(action_tile "rb45"				 							;toggle SCH40 option
		(strcat
      "(setq newtile $key)"	
		"(RB45_FLAG)(F_NAME)(READ_DIM_FILE)(FRED4_40)"
		); end strcat
	); END ACTION TILE
;-----------------------------------------------------------------------;
  	(action_tile "rb46"				 							;toggle SCH60 option
		(strcat
      "(setq newtile $key)"	
		"(RB46_FLAG)(F_NAME)(READ_DIM_FILE)(FRED4_60)"
		); end strcat
	); END ACTION TILE
;-----------------------------------------------------------------------;
  	(action_tile "rb47"				 							;toggle SCH80 option
		(strcat
      "(setq newtile $key)"	
		"(RB47_FLAG)(F_NAME)(READ_DIM_FILE)(FRED4_80)"
		); end strcat
	); END ACTION TILE
;-----------------------------------------------------------------------;
  	(action_tile "rb48"				 							;toggle SCH100 option
		(strcat
      "(setq newtile $key)"	
		"(RB48_FLAG)(F_NAME)(READ_DIM_FILE)(FRED4_100)"
		); end strcat
	); END ACTION TILE
;-----------------------------------------------------------------------;
  	(action_tile "rb49"				 							;toggle SCH120 option
		(strcat
      "(setq newtile $key)"	
		"(RB49_FLAG)(F_NAME)(READ_DIM_FILE)(FRED4_120)"
		); end strcat
	); END ACTION TILE
;-----------------------------------------------------------------------;
  (action_tile "cancel" "(setq newtile nil size nil)(done_dialog)")
  (action_tile "accept" "(CHECK_SELECTIONS_F)") 
;-----------------------------------------------------------------------;
;-----------------------------END OF ACTION TILE STATEMENTS--------------;  
; (defun DIALOG () continued
  (start_dialog)											;start dialog
  (unload_dialog dcl_id_f) 									;unload 
	(princ (strcat "\nCurrent status for ftg is: = " ftg " "))
	(princ (strcat "\nCurrent status for sch is: = " sch " "))
	(princ (strcat "\nFilename after unload_dialog = " fname " "))
	(princ (strcat "\nCurrent VERSION for the lisp file is: = " ver " "))
	(princ (strcat "\nCurrent status for ************john************ is: = " john " "))
	(princ (strcat "\nCurrent status for ************fred4************ is: = " fred4 " "))
	(princ (strcat "\nCurrent status for ************size************ is: = " size " "))
) ;end Dialogue
	(princ)
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;									  
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
(defun nest1 ( / fred1 )			; 90 deg Elbows  
  (setq dcl_id1 (load_dialog "sln_piping.dcl"))	  	;the DCL file where the dialog is located
  (if (not (new_dialog "nest1" dcl_id1)) 		  	;load the nested dialogue box
    (exit)   									  	;if not loaded exit
  ); end of if
;-----------------------------------------------------------------------;
 	(defun RB51_FLAG () 			;Short Radius Elbows
	(setq fred1 "sre90_")									;store fitting Radii
	);end rb51_flag	
;-----------------------------------------------------------------------;	
	(defun RB52_FLAG () 			;Long Radius Elbows
	(setq fred1 "lre90_")									;store fitting Radii
	);end rb52_flag	
;-----------------------------------------------------------------------;	
	(defun RB53_FLAG () 			;3D Radius Elbows
	(setq fred1 "3de90_")									;store fitting Radii
	);end rb53_flag	
;-----------------------------------------------------------------------;	
	(defun RB54_FLAG () 			;5D Radius Elbows
	(setq fred1 "5de90_")									;store fitting Radii
	);end rb54_flag		
;-----------------------------------------------------------------------;
(defun CHECK_SELECTIONS_N1 ()
;
	(cond 
		((/= fred1 NIL)
			(setq ftg fred1)
			(done_dialog)
		)
		(t (alert "OOPS! SELECT BEND 90 RADII - TRY AGAIN!"))  
	);end of cond
) ;end CHECK_SELECTIONS
;-----------------------------------------------------------------------;							 
	(action_tile "rb51"
		"(RB51_FLAG)"										
	); END ACTION TILE
;-----------------------------------------------------------------------;
  	(action_tile "rb52"	
		"(RB52_FLAG)"										;"(SET_WLRE90_IMAGE)"
	); END ACTION TILE
;-----------------------------------------------------------------------;
  	(action_tile "rb53"
		"(RB53_FLAG)"										;"(SET_WLRE90_IMAGE)"
	); END ACTION TILE
;-----------------------------------------------------------------------;
  	(action_tile "rb54"
		"(RB54_FLAG)"										;"(SET_WLRE90_IMAGE)"
	); END ACTION TILE	
;-----------------------------------------------------------------------;
  (action_tile "cancel" "(setq fred1 nil)(done_dialog)")  						;if cancel selected do this
  (action_tile "accept" "(CHECK_SELECTIONS_N1)")								;if OK selected do this 
  (start_dialog)   																;start the nested dialogue box
  (unload_dialog dcl_id1) 														;unload the nested dialogue box
;
  (princ)
); End of defun nest1
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
